POST
/api/v1/vault/upgrade/{vault_id}
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/vault/upgrade/{vault_id}?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "plan_id": 5}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/vault/upgrade/{vault_id}", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "plan_id": 5, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/vault/upgrade/{vault_id}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "plan_id": 5 }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”vault_id
required
integer
Secret (Vault) ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
plan_id
Plan ID for upgrading the secret
integer
Example
{ "plan_id": 5}Responses
Section titled “Responses”Successful response when a secret is updated
Media typeapplication/json
object
code
integer
data
string
errors
object
message
string
Example
{ "code": 200, "data": "", "errors": {}, "message": "Secret has been upgraded."}